regina::XMLTextReader Class Reference
Basic Packet Types

An XML packet reader that reads a single text packet. More...

`#include <packet/xmlpacketreaders.h>`

Inheritance diagram for regina::XMLTextReader:

## Public Member Functions

| XMLTextReader (XMLTreeResolver &resolver)
| Creates a new text packet reader. More...
virtual Packet * | packet () override
| Returns the newly allocated packet that has been read by this element reader. More...
virtual XMLElementReader * | startContentSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps) override
| Used instead of startSubElement() for XML subelements that are not child packets or packet tags. More...
virtual void | endContentSubElement (const std::string &subTagName, XMLElementReader *subReader) override
| Used instead of endSubElement() for XML subelements that are not child packets or packet tags. More...
virtual XMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, XMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | abort (XMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, XMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...

## Protected Attributes

XMLTreeResolver & | resolver_
| The master resolver that will be used to fix dangling packet references after the entire XML file has been read. More...

## Detailed Description

An XML packet reader that reads a single text packet.

Python:\n Not present.

The documentation for this class was generated from the following file:

- packet/xmlpacketreaders.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).